unit f_dbgrid;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, DBGrids, atDBGrid, DB, DBTables, StdCtrls, ExtCtrls;

type
  TfmatDBGrid = class(TForm)
    Panel1: TPanel;
    Memo1: TMemo;
    Panel2: TPanel;
    Table1: TTable;
    DataSource1: TDataSource;
    atDBGrid1: TatDBGrid;
    procedure atDBGrid1TitleButtonClick(Sender: TObject; ACol: Integer);
    procedure atDBGrid1IndButtonClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmatDBGrid: TfmatDBGrid;

implementation

uses f_auxmem;

{$R *.DFM}

procedure TfmatDBGrid.atDBGrid1TitleButtonClick(Sender: TObject; ACol: Integer);
begin
   With atDBGrid1 do
   begin
      try
         Table1.IndexFieldNames:=Columns[ACol-1].Field.FieldName;
      except
      end;
   end;
end;

procedure TfmatDBGrid.atDBGrid1IndButtonClick(Sender: TObject);
begin
   fmMemo.Memo.Text:=Table1.FieldByName('Remarks').AsString;
   fmMemo.Show;
end;

procedure TfmatDBGrid.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   if fmMemo.Visible then fmMemo.Close;
end;

procedure TfmatDBGrid.FormShow(Sender: TObject);
begin
   Table1.Open;
end;

end.
